<div id="product" class="page-layout carded fullwidth inner-scroll">

    <!-- TOP BACKGROUND -->
    <div class="top-bg accent"></div>
    <!-- / TOP BACKGROUND -->

    <!-- CENTER -->
    <div class="center">

        <!-- HEADER -->
        <div class="header accent" fxLayout="row" fxLayoutAlign="space-between center">
            


            <div fxLayout="row" fxLayoutAlign="start center">



                <div fxLayout="column" fxLayoutAlign="start start"
                    [@animate]="{value:'*',params:{delay:'100ms',x:'-25px'}}">

                    <div class="subtitle secondary-text">
                        <span style="font-size: 23px;
                        color:white;">Customer Registration</span>
                    </div>
                  
                    
                </div>
                <!-- <div class="img-style">


                    <img src="/assets/images/icon.png" class="center">
                  
                  </div> -->
                
                
            </div>
         



        </div>
        <!-- / HEADER -->

        <!-- CONTENT CARD -->

        <div class="content-card">
            <!-- CONTENT -->
            <div class="content">
                <mat-dialog-content class="mat-typography" style="padding-left: 4%;">
                    <!-- <form style="width: 100%;" name="customerForm" class="product w-100-p" fxLayout="column" fxFlex> -->

                    <div [formGroup]="customerForm" class="tab-content p-24">
                        <!-- First Name -->
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>First Name</mat-label>
                            <input matInput placeholder="First Name" name="name" formControlName="firstName"
                                pattern="^[a-zA-Z]+$">
                        </mat-form-field>
                        <!-- Last Name -->
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Last Name</mat-label>
                            <input matInput placeholder="Last Name" name="name" formControlName="lastName"
                                pattern="^[a-zA-Z]+$">
                        </mat-form-field>
                        <!-- Mobile Number -->
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Mobile Number</mat-label>
                            <input matInput placeholder="Mobile Number" name="mobile" maxlength="10"
                                formControlName="mobile">
                        </mat-form-field>
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Flat Number</mat-label>
                            <input matInput placeholder="Flat Number" name="flat" formControlName="flat_no">
                        </mat-form-field>
                        <!--                         
                        <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Location</mat-label>
                            <mat-select placeholder="Select Location" formControlName="location">
                                <mat-option *ngFor="let location of allLocations" [value]="location.id">
                                    {{location.address}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field> -->




                        <!-- <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                            <mat-label>Building</mat-label>
                            <mat-select placeholder="Building" formControlName="building">
                                <mat-option *ngFor="let building of filteredBuildings" [value]="building.id">
                                    {{building.name}}
                                </mat-option>
                            </mat-select>
                        </mat-form-field> -->
                    </div>


                    <div *ngFor="let vehicles of vehicleDetals;index as i">
                        <mat-card *ngIf="vehicles.end_date==null" style="margin-bottom: 5px;border-radius: 35px;">
                            <div fxLayout="row" style="padding: 0px 20px 0px 25px;">
                                <div fxFlex="25" class="vehicleRow">
                                    <mat-form-field class="w-100-p;">
                                        <mat-chip-list #chipList aria-label="Vehicle selection">
                                            <mat-chip *ngFor="let vehicle of vehicles.vehicles;index as j"
                                                [selectable]="selectable" [removable]="removable"
                                                (removed)="selectedChipremove(vehicle,vehicles,vehicleDetals)">
                                                {{vehicle?.number}}
                                                <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                                            </mat-chip>
                                            <input placeholder="New Vehicle..." [matChipInputFor]="chipList"
                                                [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                                                [matChipInputAddOnBlur]="addOnBlur"
                                                (matChipInputTokenEnd)="addchipSelectedVehicle($event,vehicles)">
                                        </mat-chip-list>
                                    </mat-form-field>
                                </div>
                                &nbsp;
                                <div fxFlex="20" class="vehicleRow">
                                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p" class="select2">
                                        <mat-label>Parking Number</mat-label>
                                        <input matInput placeholder="Parking Number" name="parking"
                                            [(ngModel)]="vehicles.parking_no">
                                    </mat-form-field>
                                </div>
                                &nbsp;
                            
                                <div style="padding-left: 1%;" class="col-4" fxFlex="25"  >
                                    <mat-form-field appearance="outline" floatLabel="always"  class="sub1" >
                                        <mat-label>Subscription Amount</mat-label>
                                        <input matInput placeholder="Subscription amount" name="amount"
                                            [(ngModel)]="vehicles.subscription_amount">
                                    </mat-form-field>
                                </div>
                                &nbsp;
                                &nbsp;
                                <div fxFlex="25" class="col-4" style="padding-left: 1%;" class="vehicleRow">
                                    <mat-form-field appearance="outline" floatLabel="always" class="w-100-p" class="schedule1" >
                                        <mat-label>Schedule</mat-label>
                                        <mat-select placeholder="Select schedule type"
                                            [disabled]='getScheduleChanged(vehicles.vehicles[0].vehicle_id)'
                                            [(ngModel)]="vehicles.scheduleType">
                                            <mat-option value='daily'>
                                                Daily
                                            </mat-option>
                                            <mat-option value='weekly'>
                                                Weekly
                                            </mat-option>
                                        </mat-select>
                                    </mat-form-field>
                                </div>
                            </div>


                            <div fxLayout="row">
                                <div style="padding-left: 2%;" fxFlex="50" class="vehicleRow">
                                    <mat-form-field class="date1">
                                        <mat-label>Choose start date</mat-label>
                                        <input matInput [matDatepicker]="startDate" [min]="date"
                                            [max]='getStartDate(vehicles.vehicles[0].vehicle_id)'
                                            [(ngModel)]="vehicles.startDate"
                                            (dateInput)="OnDateChange($event.value,vehicles)"
                                            [disabled]='getStartDateChanged(vehicles.vehicles[0].vehicle_id)'>
                                        <mat-datepicker-toggle matSuffix [for]="startDate"></mat-datepicker-toggle>
                                        <mat-datepicker #startDate></mat-datepicker>
                                    </mat-form-field>
                                </div>
                                <div fxFlex="50" fxLayout="row" style="float:right"
                          
                                    *ngIf="vehicles.scheduleType=='weekly'" class="vehicleRow2">
                                    <!-- <mat-label>Select cleaning days:</mat-label>&nbsp;&nbsp; -->
                                    <section *ngFor="let day of vehicles.weekdays" class="example-section">
                                        <mat-checkbox [(ngModel)]="day.value" 
                                            (ngModelChange)="toggle($event.checked,vehicles.weekdays,vehicles)"
                                            [disabled]='getScheduleChanged(vehicles.vehicles[0].vehicle_id)'>
                                            <span class="day1">{{day.day}}</span>
                                        </mat-checkbox>
                                    </section>
                                </div>
                            </div>



                        </mat-card>
                    </div>





                    <!-- <mat-card style="background: #efebeb;"> -->
                    <div fxLayout="row" class="erow" style="   padding: 0px 10px 0px 41px;">  
                        <div fxFlex="25" class="vehicleRow">
                            <mat-form-field class="w-100-p;" style="    width: 272px;">
                                <mat-chip-list #chipList aria-label="Vehicle selection">
                                    <mat-chip *ngFor="let vehicle of vehicles" [selectable]="selectable"
                                        [removable]="removable" (removed)="remove(vehicle)">
                                        {{vehicle?.number}}
                                        <mat-icon matChipRemove *ngIf="removable">cancel</mat-icon>
                                    </mat-chip>
                                    <input placeholder="New Vehicle..." [matChipInputFor]="chipList"
                                        [matChipInputSeparatorKeyCodes]="separatorKeysCodes"
                                        [matChipInputAddOnBlur]="addOnBlur" (matChipInputTokenEnd)="addchip($event)">
                                </mat-chip-list>
                            </mat-form-field>
                        </div>
                        &nbsp;
                        <div fxFlex="20" class="parkingRow" >
                            <mat-form-field appearance="outline" floatLabel="always" class="select1"   >
                                <mat-label>Parking Number</mat-label>
                                <input matInput placeholder="Parking Number" name="parking" [(ngModel)]="parking_no" >
                            </mat-form-field>
                        </div>
                        &nbsp;
                        <div class="col-4" style="padding-left: 1%;" fxFlex="25" class="vehicleRow">
                            <mat-form-field appearance="outline" floatLabel="always" class="w-100-p" class="sub">
                                <mat-label>Subscription Amount</mat-label>
                                <input matInput placeholder="Subscription amount" name="amount"
                                    [(ngModel)]="subscription_amount">
                            </mat-form-field>
                        </div>
                        &nbsp;
                        &nbsp;
                        <div fxFlex="25" class="col-4" class="vehicleRow">
                            <mat-form-field appearance="outline" floatLabel="always" class="w-100-p" class="schedule">
                                <mat-label>Schedule</mat-label>
                                <mat-select placeholder="Select schedule type" [(ngModel)]="scheduleType">
                                    <mat-option value='daily'>
                                        Daily
                                    </mat-option>
                                    <mat-option value='weekly'>
                                        Weekly
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>

                            
                      

                   

                    </div>
                    <!-- <div fxLayout="row" style=" padding: 0px 10px 0px 30px; margin-top: -10px;" class="amount">
                        <div class="col-4" style="padding-left: 1%;" fxFlex="25" class="vehicleRow1">
                            <mat-form-field appearance="outline" floatLabel="always" class="w-100-p" class="select2">
                                <mat-label>Subscription Amount</mat-label>
                                <input matInput placeholder="Subscription amount" name="amount" 
                                    [(ngModel)]="subscription_amount">
                            </mat-form-field>
                        </div>
                        &nbsp;
                        &nbsp;
                        <div fxFlex="25" class="col-4" class="vehicleRow2">
                            <mat-form-field appearance="outline" floatLabel="always" class="w-100-p" class="select1">
                                <mat-label>Schedule</mat-label>
                                <mat-select placeholder="Select schedule type" [(ngModel)]="scheduleType" >
                                    <mat-option value='daily'>
                                        Daily
                                    </mat-option>
                                    <mat-option value='weekly'>
                                        Weekly
                                    </mat-option>
                                </mat-select>
                            </mat-form-field>
                        </div>
                    </div> -->
                    <!-- <div>
                        <mat-form-field>
                            <mat-label>Choose start date</mat-label>
                            <input matInput [matDatepicker]="startDate" [(ngModel)]="startDate" #startDate="ngModel">
                            <mat-datepicker-toggle matSuffix [for]="startDate"></mat-datepicker-toggle>
                            <mat-datepicker #startDate></mat-datepicker>
                        </mat-form-field>
                    </div> -->
                    <div  style="float:right" fxLayout="row" *ngIf="scheduleType=='weekly'" class="vehicleRow">
                        <!-- <mat-label>Select cleaning days:</mat-label>&nbsp;&nbsp; -->
                        <section *ngFor="let day of weekdays" class="example-section">
                            <mat-checkbox [(ngModel)]="day.value" (ngModelChange)="toggle($event.checked)">
                                <span class="day1">{{day.day}}</span>
                            </mat-checkbox>&nbsp;
                        </section>
                    </div>
                    <!-- </mat-card> -->

                    <div style="margin-top: 20px;margin-bottom: 20px;padding: 0px 20px 0px 25px;">

                        &nbsp;&nbsp;
                        <button style="background-color:#039be5" *ngIf="isAddNxt" mat-raised-button class="example-delete-tab-button"
                            (click)="addVehicle()"
                            [disabled]="scheduleType==''||parking_no==''||subscription_amount==null" [ngClass]="(scheduleType==''||parking_no==''||subscription_amount==null) ? 'disable_class':''" >
                            <span>Add Vehicle</span>
                        </button>


                            &nbsp;&nbsp;
                            <button style="background-color:#039be5" *ngIf="isAddNxt" mat-raised-button class="example-delete-tab-button"
                                (click)="getCustomerDetailsbyVeh()">
                                <span>Get Customer Details</span>
                            </button>
                    </div>

                    <!-- [disabled]="scheduleType==''||parking_no==''||subscription_amount==null" [ngClass]="(scheduleType==''||parking_no==''||subscription_amount==null) ? 'disable_class':''"  -->


                </mat-dialog-content>

                &nbsp;&nbsp;
            </div>
            <!-- / CONTENT -->
        </div>
        <!-- / CONTENT CARD -->
        <mat-dialog-actions align="end">
             <!-- <div>
                <button style="margin-bottom: 20px;" mat-raised-button class="save-product-button" (click)="close()">
                    <span>CANCEL</span>
                </button>
            </div> -->
             &nbsp;&nbsp; 
            <div style="text-align: center;">
                <button style="margin-bottom: 20px;background-color: #039be5;" mat-raised-button class="save-product-button"
                [disabled]="customerForm.invalid || newvehicles.length==0" [ngClass]="(customerForm.invalid || newvehicles.length==0) ? 'disable_class':''" (click)="addCustomer()">
                    <span>SUBMIT</span>
                </button>
            </div>
            <!-- <div *ngIf="data.edit">
                <button [disabled]="customerForm.invalid || vehicleDetals.length==0" style="margin-bottom: 20px;"
                    mat-raised-button class="save-product-button" (click)="editCustomer()">
                    <span>Edit</span>
                </button>
            </div> -->
        </mat-dialog-actions>

    </div>
    <!-- / CENTER -->
</div>